# Model Class Reference
[Spring-like webflow tools]

Inheritance diagram for Model:
[legend]

List of all members.

## Public Member Functions

| clean ()
| isEmpty ()
| getList ()
| set ($name, $var)
| get ($name)
| has ($name)
| drop ($name)
| merge (Model $model, $overwrite=false)

## Static Public Member Functions

static | create ()

## Private Attributes

| $vars = array()

## Detailed Description

Definition at line 15 of file Model.class.php.

## Member Function Documentation

Model::clean | ( |  | ) |

Returns:
  Model

Implements SimplifiedArrayAccess.

Definition at line 30 of file Model.class.php.

static Model::create | ( |  | ) | `[static]`

Returns:
  Model

Definition at line 22 of file Model.class.php.

Referenced by ControllersCollection::__construct(), PrototypedEditor::doAdd(), PrototypedEditor::doDrop(), PrototypedEditor::doEdit(), PrototypedEditor::doSave(), PrototypedEditor::doTake(), and DebugUtils::errorMav().

Model::drop | ( | $ | name | ) |

Returns:
  Model

Implements SimplifiedArrayAccess.

Definition at line 70 of file Model.class.php.

Model::get | ( | $ | name | ) |

Implements SimplifiedArrayAccess.

Definition at line 57 of file Model.class.php.

Model::getList | ( |  | ) |

Implements SimplifiedArrayAccess.

Definition at line 42 of file Model.class.php.

Referenced by merge().

Model::has | ( | $ | name | ) |

Implements SimplifiedArrayAccess.

Definition at line 62 of file Model.class.php.

Referenced by merge().

Model::isEmpty | ( |  | ) |

Implements SimplifiedArrayAccess.

Definition at line 37 of file Model.class.php.

Referenced by merge().

Model::merge | ( | Model $ | model,
|  | $ | overwrite = `false` |
| ) |  |  |

Returns:
  Model

Definition at line 80 of file Model.class.php.

References $vars, getList(), has(), and isEmpty().

Here is the call graph for this function:

Model::set | ( | $ | name,
|  | $ | var |
| ) |  |  |

Returns:
  Model

Implements SimplifiedArrayAccess.

Definition at line 50 of file Model.class.php.

Referenced by OpenIdExtensionSreg::addParamsToModel().

## Member Data Documentation

Model::$vars = array()`[private]`

Definition at line 17 of file Model.class.php.

Referenced by merge().

The documentation for this class was generated from the following file:

- main/Flow/Model.class.php